#ifndef CTRLHDMIPANEL_H
#define CTRLHDMIPANEL_H

#include "base/switchcontrol.h"
#include "gutil/qgui.h"
#include <QLabel>
#include <QRadioButton>
#include <QPushButton>

class CtrlHdmiPanel : public QWidget {
    Q_OBJECT
public:
    explicit CtrlHdmiPanel(QWidget *parent = nullptr);
    void restoreScheduleJson(QJsonObject oTaskSync);
    QJsonObject getScheduleJson();
protected:
    void showEvent(QShowEvent *event) override;
    void init();
    void changeEvent(QEvent *) override;
    void transUi();

private:
    QLabel *lbHdmiCfg;
    QRadioButton *fdManual, *fdSchedule, *fdAsync, *fdHdmi, *fdHdmi2;
    QPushButton *btnGetSync;

    Table *tableSche;
    QPushButton *btnScheAdd;
    QPushButton *btnScheDel;
    QPushButton *btnScheClear;
    QPushButton *btnScheImport;
    QPushButton *btnScheExport;
    QLabel *labelSyncScheduleTip;
    QPushButton *btnScheSet;
    QPushButton *btnScheGet;
};

#endif // CTRLHDMIPANEL_H
